# QMouseEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QInputEvent.

### Constructor

- void QMouseEvent(Type type, QPoint pos, MouseButton button, MouseButtons buttons, KeyboardModifiers modifiers)
- void QMouseEvent(Type type, QPoint pos, QPoint globalPos, MouseButton button, MouseButtons buttons, KeyboardModifiers modifiers)

### Constructor Properties

- prototype: The QMouseEvent prototype object
- QMouseEvent createExtendedMouseEvent(Type type, QPointF pos, QPoint globalPos, MouseButton button, MouseButtons buttons, KeyboardModifiers modifiers)

### Prototype Object Properties

The QMouseEvent prototype object inherits properties from the QInputEvent prototype object and also has the following properties.

- MouseButton button()
- MouseButtons buttons()
- QPoint globalPos()
- int globalX()
- int globalY()
- bool hasExtendedInfo()
- QPoint pos()
- QPointF posF()
- int x()
- int y()

### Instance Properties

QMouseEvent objects have no special properties beyond those inherited from the QMouseEvent prototype object.